summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-board/xmahjongg')
-rw-r--r--games-board/xmahjongg/Manifest1
-rw-r--r--games-board/xmahjongg/metadata.xml5
-rw-r--r--games-board/xmahjongg/xmahjongg-3.7.ebuild32
3 files changed, 38 insertions, 0 deletions
diff --git a/games-board/xmahjongg/Manifest b/games-board/xmahjongg/Manifest
new file mode 100644
index 00000000000..24a40111535
--- /dev/null
+++ b/games-board/xmahjongg/Manifest
@@ -0,0 +1 @@
+DIST xmahjongg-3.7.tar.gz 551834 SHA256 243d63681cc25b97b30fee76aac98f1923f4734e772c57335b911f4c8647ffcf SHA512 eb952b38b2ea79f3037a6e8063042f4094e0719edd366c0327350aaf6484ee64ad5d174741bbb80fc49dba62eba4790ffc97eb1bf0d942149e614bde7bd1759a WHIRLPOOL d9959be86690e3007c679124b719c7b965ee189b258623041e3a6d37e7a0a33b46f40a639ca824ee72d47e9afe8f364d9760b1f2b6852d148ddbcfd07a55cbb8
diff --git a/games-board/xmahjongg/metadata.xml b/games-board/xmahjongg/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-board/xmahjongg/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-board/xmahjongg/xmahjongg-3.7.ebuild b/games-board/xmahjongg/xmahjongg-3.7.ebuild
new file mode 100644
index 00000000000..88cf712f5f6
--- /dev/null
+++ b/games-board/xmahjongg/xmahjongg-3.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils games
+
+DESCRIPTION="friendly GUI version of xmahjongg"
+HOMEPAGE="http://www.lcdf.org/xmahjongg/"
+SRC_URI="http://www.lcdf.org/xmahjongg/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~mips ppc x86 ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE=""
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}
+ x11-libs/libXt"
+
+src_prepare() {
+ sed -i \
+ -e '/X_PRE_LIBS/s:-lSM -lICE::' \
+ configure || die
+}
+
+src_install() {
+ default
+ newicon share/tiles/small.gif ${PN}.gif
+ make_desktop_entry xmahjongg "Xmahjongg" /usr/share/pixmaps/${PN}.gif
+ prepgamesdirs
+}